<div class="p-formgrid grid">
  <div class="col-12 md:col-8">
    <p-card
      *ngIf="accessibilitySubmission"
      [header]="'Bug Report: ' + accessibilitySubmission.id"
    >
      <div class="grid-container">
        <div class="grid-item attribute-name">ID:</div>
        <div class="grid-item attribute-value">
          {{ accessibilitySubmission.id }}
        </div>

        <div class="grid-item attribute-name">Eingereicht am:</div>
        <div class="grid-item attribute-value">
          {{ accessibilitySubmission.createdAt | date : 'medium' }}
        </div>

        <div class="grid-item attribute-name">Nachricht:</div>
        <div class="grid-item attribute-value">
          {{ accessibilitySubmission.answer }}
        </div>

        @if ( accessibilitySubmission.images &&
        accessibilitySubmission.images.length > 0 ) {
        <div class="grid-item attribute-name">Screenshots:</div>
        <div class="grid-item attribute-value">
          <a href="javascript:void(0)" (click)="screenshotsOpen = true" title=""
            >Anzeigen</a
          >
          <p-galleria
            [value]="accessibilitySubmission.images"
            [(visible)]="screenshotsOpen"
            [responsiveOptions]="responsiveOptions"
            [containerStyle]="{ 'max-width': '50%' }"
            [numVisible]="9"
            [circular]="true"
            [fullScreen]="true"
            [showItemNavigators]="true"
            [showThumbnails]="false"
          >
            <ng-template pTemplate="item" let-item>
              <img
                [src]="item.filename | imagePath"
                style="width: 100%; display: block"
                alt=""
              />
            </ng-template>
          </p-galleria>
        </div>
        }

        <div class="grid-item attribute-name">Device Details:</div>
        <div class="grid-item attribute-value">
          <pre
            [innerHTML]="accessibilitySubmission.environment | prettyJson"
          ></pre>
        </div>
      </div>
    </p-card>
  </div>
</div>
